Bug 35135 - Migrate ucslint to UCS 4
Migrate ucslint to UCS 4
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: ucslint
UCS 3.2
Other Linux
: P5 normal (vote)
: UCS 4.0
Assigned To: Sönke Schwardt-Krummrich
Florian Best
: interim-1
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-06-17 12:27 CEST by Stefan Gohmann
Modified: 2014-11-26 06:53 CET (History)
2 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Gohmann univentionstaff 2014-06-17 12:27:44 CEST
The ucslint source package should be migrated to UCS 4.
Comment 2 Sönke Schwardt-Krummrich univentionstaff 2014-06-17 14:56:40 CEST
Build for UCS 4. Switched python hash bang check to "2.7".
Comment 3 Sönke Schwardt-Krummrich univentionstaff 2014-06-18 09:05:37 CEST
Copyrights have been updated. Testframework has been updated.
libtre has been rebuild with python bindings in UCS 4.
Comment 4 Florian Best univentionstaff 2014-07-22 10:05:32 CEST
./packaging/ucslint/debian/compat:7
→ Is this on purpose?
Comment 5 Florian Best univentionstaff 2014-07-22 10:16:44 CEST
There are some missing python2.6 hashbangs:
packaging/ucslint/testframework/0004-42--54/conffiles/hook2.py
1:#!/usr/bin/python2.6

packaging/ucslint/testframework/0004-42--54/conffiles/hook1.py
1:#!/usr/bin/python2.6

packaging/ucslint/testframework/0016-2-3/bad.py
1:#!/usr/bin/python2.6
Comment 6 Sönke Schwardt-Krummrich univentionstaff 2014-07-22 11:02:27 CEST
(In reply to Florian Best from comment #4)
> ./packaging/ucslint/debian/compat:7
> → Is this on purpose?

No, fixed. ucslint has been ported before we decided to switch to level 9.
ucslint 4.0.0-2

(In reply to Florian Best from comment #5)
> There are some missing python2.6 hashbangs:
> packaging/ucslint/testframework/0004-42--54/conffiles/hook2.py
> 1:#!/usr/bin/python2.6
> 
> packaging/ucslint/testframework/0004-42--54/conffiles/hook1.py
> 1:#!/usr/bin/python2.6
> 
> packaging/ucslint/testframework/0016-2-3/bad.py
> 1:#!/usr/bin/python2.6

This is no bug, as the scripts within the testframework are never called (only scanned). In this case only the modules "0004" resp. "0016" are used to scan the files. Therefore ucslint is not complaining about the "wrong" python hashbangs.
Comment 7 Florian Best univentionstaff 2014-07-22 16:24:09 CEST
When building univention-system-setup for UCS 4.0 the following traceback occurs:

ucslint
Traceback (most recent call last):
  File "/usr/bin/ucslint", line 49, in <module>
    import ucslint.base as uub
ImportError: No module named ucslint.base
make[1]: *** [override_dh_auto_test] Error 1
Comment 8 Florian Best univentionstaff 2014-07-23 09:12:11 CEST
(In reply to Florian Best from comment #7)
> When building univention-system-setup for UCS 4.0 the following traceback
> occurs:
> 
> ucslint
> Traceback (most recent call last):
>   File "/usr/bin/ucslint", line 49, in <module>
>     import ucslint.base as uub
> ImportError: No module named ucslint.base
> make[1]: *** [override_dh_auto_test] Error 1
This is probably because the package was built without python_support. Please consider the migration list again:
https://hutten.knut.univention.de/mediawiki/index.php/UCS-4.0_Univention_Package_Update
Comment 9 Sönke Schwardt-Krummrich univentionstaff 2014-07-24 09:19:27 CEST
(In reply to Florian Best from comment #8)
> (In reply to Florian Best from comment #7)
> > When building univention-system-setup for UCS 4.0 the following traceback
> > occurs:

The traceback has been fixed with the latest version.
Comment 10 Florian Best univentionstaff 2014-07-28 14:40:42 CEST
Afaik the "XS-Python-Version" string must be in the source stanza of the package defintion (not per package) (https://wiki.debian.org/Python/Policy https://www.debian.org/doc/packaging-manuals/python-policy/ch-module_packages.html).
I adjusted this in svn52281.
Comment 11 Florian Best univentionstaff 2014-07-29 13:22:24 CEST
OK, everything considered → VERIFIED
Comment 12 Stefan Gohmann univentionstaff 2014-08-25 08:32:31 CEST
I've added a changelog for all migrated packages: r52983
Comment 13 Stefan Gohmann univentionstaff 2014-11-26 06:53:56 CET
UCS 4.0-0 has been released:
 http://docs.univention.de/release-notes-4.0-0-en.html
 http://docs.univention.de/release-notes-4.0-0-de.html

If this error occurs again, please use "Clone This Bug".